

local SpeakEasyGUI = SpeakEasyGUI;




SpeakEasyGUI_DisplayFrame.SPEAKEASYGUI = SpeakEasyGUI;
SpeakEasyGUI.DISPLAY_FRAME = SpeakEasyGUI_DisplayFrame;


SpeakEasyGUI.VERSION = 351;


SpeakEasyGUI.STRING_LIBRARY = string;

SpeakEasyGUI.TABLE_LIBRARY = table;

SpeakEasyGUI.MATH_LIBRARY = math;


SpeakEasyGUI.MIN_RANDOM = 1;

SpeakEasyGUI.MAX_RANDOM = 1000;


SpeakEasyGUI.MIN_DELAY = 1;

SpeakEasyGUI.MAX_DELAY = 900;


SpeakEasyGUI.NUM_EMOTES = 171;


SpeakEasyGUI.MAX_ENTRIES = 30;




SpeakEasyGUI.MESSAGE_TYPE_LIST = {
	[1] = SpeakEasyGUI.LOCALIZATION.MESSAGETYPE_CHANNEL;
	[2] = SpeakEasyGUI.LOCALIZATION.MESSAGETYPE_EMOTE_BASIC;
	[3] = SpeakEasyGUI.LOCALIZATION.MESSAGETYPE_EMOTE_CUSTOM;
	[4] = CHAT_MSG_GUILD;
	[5] = CHAT_MSG_OFFICER;
	[6] = CHAT_MSG_PARTY;
	[7] = CHAT_MSG_RAID;
	[8] = CHAT_MSG_SAY;
	[9] = WHISPER;
	[10] = CHAT_MSG_YELL;
	[11] = CHAT_MSG_RAID_WARNING;
	[12] = CHAT_MSG_BATTLEGROUND;
};




SpeakEasyGUI.LANGUAGE_LIST = {
	[1] = ("Common");
	[2] = ("Darnassian");
	[3] = ("Draenei");
	[4] = ("Dwarvish");
	[5] = ("Gnomish");
	[6] = ("Gutterspeak");
	[7] = ("Orcish");
	[8] = ("Taurahe");
	[9] = ("Thalassian");
	[10] = ("Troll");
};




SpeakEasyGUI.VARIABLES_TO_EVENTS = {
	YOU_HIT = ("CHAT_MSG_COMBAT_SELF_HITS");
	YOU_MISS = ("CHAT_MSG_COMBAT_SELF_MISSES");
	HEAL_HEALS = ("CHAT_MSG_SPELL_SELF_BUFF");
	ENEMY_HIT = ("CHAT_MSG_SPELL_CREATURE_VS_SELF_HITS");
	ENEMY_MISS = ("CHAT_MSG_SPELL_CREATURE_VS_SELF_MISSES");
	KILLING_BLOW = ("CHAT_MSG_COMBAT_HOSTILE_DEATH");
	ENTER_COMBAT = ("PLAYER_REGEN_DISABLED");
	LEAVE_COMBAT = ("PLAYER_REGEN_ENABLED");
	
	TRADE_OPENED = ("TRADE_SHOW");
	PLAYER_RESURRECTION = ("PLAYER_UNGHOST");
	PLAYER_BELOW_TWENTY_HEALTH = ("UNIT_HEALTH");
	PLAYER_BELOW_TWENTY_MANA = ("UNIT_MANA");
};




--[[
SpeakEasyGUI.COMBATEVENT_PARSING_BY_CHATEVENT = {
	["CHAT_MSG_SPELL_SELF_DAMAGE"] = {};
	["CHAT_MSG_SPELL_SELF_BUFF"] = {};
	["CHAT_MSG_COMBAT_SELF_HITS"] = {};
	["CHAT_MSG_COMBAT_SELF_MISSES"] = {};
	
	["CHAT_MSG_COMBAT_CREATURE_VS_SELF_DAMAGE"] = {};
	["CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS"] = {};
	["CHAT_MSG_COMBAT_CREATURE_VS_SELF_MISSES"] = {};
};



SpeakEasyGUI.COMBATEVENT_INDEXES_TO_COMBATEVENT_NAMES = {
	["CHAT_MSG_SPELL_SELF_DAMAGE"] = {
		[1] = ("YOU_HIT"), [2] = ("YOU_HIT"), [3] = ("YOU_CRIT"), [4] = ("YOU_CRIT"), [5] = ("ENEMY_DODGE"),
		[6] = ("ENEMY_RESIST"), [7] = ("YOU_MISS"), [8] = ("ENEMY_PARRY"), [9] = ("ENEMY_BLOCK"),
	};
	
	["CHAT_MSG_SPELL_SELF_BUFF"] = {
		[1] = ("HEAL_HEALS"), [2] = ("HEAL_CRITS"),
	};
	
	["CHAT_MSG_COMBAT_SELF_HITS"] = {
		[1] = ("YOU_HIT"), [2] = ("YOU_CRIT"), --[3] = ("YOU_HIT"), [4] = ("YOU_CRIT"),
	};
	
	["CHAT_MSG_COMBAT_SELF_MISSES"] = {
		[1] = ("ENEMY_DODGE"), [2] = ("YOU_MISS"), [3] = ("ENEMY_PARRY"), [4] = ("ENEMY_BLOCK"),
	};
	
	
	["CHAT_MSG_COMBAT_CREATURE_VS_SELF_DAMAGE"] = {
		[1] = ("ENEMY_HIT"), [2] = ("ENEMY_HIT"), [3] = ("ENEMY_CRIT"), [4] = ("ENEMY_CRIT"), [5] = ("YOU_DODGE"),
		[6] = ("YOU_RESIST"), [7] = ("ENEMY_MISS"), [8] = ("YOU_PARRY"), [9] = ("YOU_BLOCK"),
	};
	
	["CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS"] = {
		[1] = ("ENEMY_HIT"), [2] = ("ENEMY_CRIT"), [3] = ("ENEMY_HIT"), [4] = ("ENEMY_CRIT"),
	};
	
	["CHAT_MSG_COMBAT_CREATURE_VS_SELF_MISSES"] = {
		[1] = ("YOU_DODGE"), [2] = ("ENEMY_MISS"), [3] = ("YOU_PARRY"), [4] = ("YOU_BLOCK"),
	};
};
]]--

